| AAX SDK 2.8.0 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_CTaskAgent Class Reference
AAX SDK Manual » Additional AAX features » Task agent interface

`#include <AAX_CTaskAgent.h>`

Inheritance diagram for AAX_CTaskAgent:
[legend]
Collaboration diagram for AAX_CTaskAgent:
[legend]

## Description

Default implementation of the AAX_ITaskAgent interface.

This class provides a default implementation of the AAX_ITaskAgent interface. Your plug-in's task agent implementation should inherit from this class and override the remaining interface functions.

## Public Member Functions
| AAX_CTaskAgent (void)=default
| ~AAX_CTaskAgent (void) AAX_OVERRIDE
Initialization and uninitialization
AAX_Result | Initialize (IACFUnknown *iController) AAX_OVERRIDE
AAX_Result | Uninitialize (void) AAX_OVERRIDE
Public Member Functions inherited from AAX_ITaskAgent
| ACF_DECLARE_STANDARD_UNKNOWN () ACFMETHOD(InternalQueryInterface)(const acfIID &riid
| AAX_DELETE (AAX_ITaskAgent &operator=(const AAX_ITaskAgent &))
Initialization and uninitialization
Task management
Public Member Functions inherited from IACFUnknown
virtual BEGIN_ACFINTERFACE ACFRESULT ACFMETHODCALLTYPE | QueryInterface (const acfIID &iid, void **ppOut)=0
| Returns pointers to supported interfaces.
virtual acfUInt32 ACFMETHODCALLTYPE | AddRef (void)=0
| Increments reference count.
virtual acfUInt32 ACFMETHODCALLTYPE | Release (void)=0
| Decrements reference count.

## Private member accessors
AAX_IController * | GetController (void)
| Returns a pointer to the plug-in's controller interface.
AAX_IEffectParameters * | GetEffectParameters (void)
| Returns a pointer to the plug-in's data model interface.

## Task management
AAX_Result | AddTask (IACFUnknown *iTask) AAX_OVERRIDE
| Default implemenation of AddTask()
AAX_Result | CancelAllTasks () AAX_OVERRIDE
virtual AAX_Result | AddTask (std::unique_ptr< AAX_ITask > iTask)
| Convenience method for adding versioned tasks.
virtual AAX_Result | ReceiveTask (std::unique_ptr< AAX_ITask > iTask)
| Convenience method for adding versioned tasks.

## Additional Inherited Members
Public Attributes inherited from AAX_ITaskAgent
void **ppvObjOut | AAX_OVERRIDE

## Constructor & Destructor Documentation

## ◆ AAX_CTaskAgent()

AAX_CTaskAgent::AAX_CTaskAgent | ( | void |  | ) |
| default

## ◆ ~AAX_CTaskAgent()

AAX_CTaskAgent::~AAX_CTaskAgent | ( | void |  | ) |

## Member Function Documentation

## ◆ Initialize()

AAX_Result AAX_CTaskAgent::Initialize | ( | IACFUnknown * | iController | ) |
| virtual

Initialize the object

Parameters

  [in] | iController | Interface allowing access to other objects in the object graph such as the plug-in's data model.

Implements AAX_IACFTaskAgent.

## ◆ Uninitialize()

AAX_Result AAX_CTaskAgent::Uninitialize | ( | void |  | ) |
| virtual

Uninitialize the object

This method should release references to any shared objects

Implements AAX_IACFTaskAgent.

## ◆ AddTask() [1/2]

AAX_Result AAX_CTaskAgent::AddTask | ( | IACFUnknown * | iTask | ) |
| virtual

Default implemenation of AddTask()

Convenience implementation that converts the IACFUnknown into an AAX_ITask . Implementations should override the version that provides an AAX_ITask object.

Implements AAX_IACFTaskAgent.

## ◆ CancelAllTasks()

AAX_Result AAX_CTaskAgent::CancelAllTasks | ( |  | ) |
| virtual

Request that the agent cancel all outstanding tasks

Implements AAX_IACFTaskAgent.

## ◆ AddTask() [2/2]

virtual AAX_Result AAX_CTaskAgent::AddTask | ( | std::unique_ptr< AAX_ITask > | iTask | ) |
| protected virtual

Convenience method for adding versioned tasks.

Deprecated:
  Use ReceiveTask() instead

## ◆ ReceiveTask()

virtual AAX_Result AAX_CTaskAgent::ReceiveTask | ( | std::unique_ptr< AAX_ITask > | iTask | ) |
| protected virtual

Convenience method for adding versioned tasks.

## ◆ GetController()

AAX_IController * AAX_CTaskAgent::GetController | ( | void |  | ) |
| inline

Returns a pointer to the plug-in's controller interface.

## ◆ GetEffectParameters()

AAX_IEffectParameters * AAX_CTaskAgent::GetEffectParameters | ( | void |  | ) |
| inline

Returns a pointer to the plug-in's data model interface.

The documentation for this class was generated from the following file:

- AAX_CTaskAgent.h